Skip to main content
POST
/
v5
/
banks
/
bankTransfer
Save a bank transfer
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/banks/bankTransfer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "bankTransfer": {
    "id": 123,
    "type": "CONFIRMED",
    "reviewStatus": "PARTNER_REVIEW_REQUIRED",
    "userAccess": "NONE",
    "accountantAccess": "NONE",
    "amount": 50.01,
    "date": "2021-01-04",
    "description": "Online Banking payment",
    "creditAccountId": 123,
    "debitAccountId": 123,
    "matchingBankTransferId": 123,
    "customData": {},
    "v6EntityId": "<string>",
    "payoutEntries": {
      "expenseIds": [
        123
      ],
      "revenueIds": [
        123
      ],
      "invoiceIds": [
        123
      ],
      "invoicePaymentIds": [
        123
      ],
      "bankTransferIds": [
        123
      ]
    },
    "expenseId": 123,
    "revenueId": 123,
    "taxPaymentId": 123
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

bankTransfer object

bankTransfer
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object